Adobe has posted that all of their Adobe CS6 and CC applications are fully compatible with Mavericks, as long as they are patched to the latest version.
http://helpx.adobe.com/x-productkb/global/mac-os-mavericks-compatability.html

Adobe also has stated that there are no known major issues with running CS5 or CS4 applications under Mavericks, however they have not certified these applications as being compatible, so “there could be unexpected issues that arise that were not discovered during testing”.